<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('lotteries', function (Blueprint $table) {
            $table->id();
            $table->string('title')->nullable()->comment('标题');
            $table->boolean("repeat")->default(0)->comment("是否重复中奖，0：否，1：是");
            $table->string('qrcode')->nullable()->comment("二维码");
            $table->string('path')->nullable()->comment("链接");
            $table->string('apply_qrcode')->nullable()->comment("报名二维码");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('lotteries');
    }
};
